/*
How do I deal with the problem of anthologies? 
*/


let csvToJson = require('convert-csv-to-json');

let marvinCsvPath = './data/Journal.csv';

let marvinJsonPath = './data/marvinHighlights.json';

marvinJson = csvToJson.getJsonFromCsv(marvinCsvPath, marvinJsonPath);

let key = Object.keys(marvinJson[0]);

let string = marvinJson[0][key];

let marvinQuoteDataArray = string.split(",");

let quote = {
    textTitle: marvinQuoteDataArray[3],
    author: marvinQuoteDataArray[4],
    dateHighlighted: marvinQuoteDataArray[5],
    quoteText: marvinQuoteDataArray[ marvinQuoteDataArray.length - 1 ]
}

let finishedQuoteArray = [];

for (var currentQuote of marvinJson) {

    let giantDataString = currentQuote[key];
    let marvinQuoteDataArray = giantDataString.split(",");
    let quote = {
        textTitle: marvinQuoteDataArray[3],
        author: marvinQuoteDataArray[4],
        dateHighlighted: marvinQuoteDataArray[5],
        quoteText: marvinQuoteDataArray[ marvinQuoteDataArray.length - 1 ]
    }
    finishedQuoteArray.push(quote);

}

let randomInteger = randomIntFromInterval(0, finishedQuoteArray.length);

console.log(finishedQuoteArray[randomInteger]);


function randomIntFromInterval(min, max) { // min and max included 
    return Math.floor(Math.random() * (max - min + 1) + min)
  }


module.exports = {
    randomQuote: function randomQuote() {
        return finishedQuoteArray[randomInteger];
    }
}
